virt-install default to virtio type - disk

Bug #1597610 reported by bugproxy on 2016-06-30
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
virt-manager (Ubuntu)
Medium
Ubuntu Server
Xenial
Medium
Unassigned

Bug Description

[Impact]

By default, currently Power guests are defined with bus=‘scsi’ disk type. Virtio disks will perform much better in KVM environments than the scsi (papr) model so the default should be changed to improve out-of-the-box guest performance.

[Test Case]

Create a guest using virt-install or virt-manager, check the default disk type with “virsh dumpxml <guest>”.

Ex. virt-install command:
 virt-install --force --name test --ram 4096 --vcpus 4 --location <location path> --noautoconsole --wait=-1 --noreboot --nographic --disk path=/var/lib/libvirt/images/test.raw,size=10

[Regression Potential]

Virtio tends to get more test cycles in general, so changing the default may actually reduce the risk of regressions with the papr scsi type.

[Other Info]

All guests that can run on Power support the virtio-blk disk type.

---

== Comment: #0 - JENIFER HOPPER <email address hidden> - 2016-06-28 11:58:08 ==
---Problem Description---
For best performance, we would like Power guests to default to virtio for disk and network type when using virt-install. All supported ppc64le guest OSes have virtio support.

For the disk default, there is an upstream commit:

commit f6322c9ed8e6d38083e6365ab9f08e5a09d147be
Author: Shivaprasad G Bhat <email address hidden>
Date: Thu Apr 21 13:30:34 2016 +0530

    virtinst: Use virtio bus type for disks on pSeries machines

    pSeries doesn't support ide and so was changed to use the scsi. virtio works better on pSeries with better performance outcomes. Change the default to virtio for disks

    Signed-off-by: Shivaprasad G Bhat <email address hidden>

http://www.spinics.net/lists/virt-tools/msg09433.html

--

I am checking on the current upstream status for the network default.
Looks like right now on 16.04, virt-install defaults to rtl8139 even if --os-variant is used.

---uname output---
Linux p82qvirt 4.4.0-24-generic #43-Ubuntu SMP Wed Jun 8 19:25:36 UTC 2016 ppc64le ppc64le ppc64le GNU/Linux

Machine Type = 8247-22L

---Debugger---
A debugger is not configured

---Steps to Reproduce---
 Start a guest using virt-install using all defaults.

# dpkg -l | grep virtinst
ii virtinst 1:1.3.2-3ubuntu1.16.04.1 all Programs to create and clone virtual machines

Contact Information = <email address hidden>

== Comment: #4 - Shivaprasad G. Bhat <email address hidden> - 2016-06-29 03:32:28 ==
Hi Jennifer,

The below patch also needs to pulled into Ubuntu as the CDROMs cannot work on virtio bus on PPC.
https://github.com/virt-manager/virt-manager/commit/94f610465f45264142ff5def7b5ceaf9ecfe065b

Thanks,
Shiva

== Comment: #8 - SANDHYA VENUGOPALA <email address hidden> - 2016-06-30 01:21:01 ==
Canonical,

Please include the upstream disk and cdrom patches listed in this bug report.

please note that network portion is still a work in progress and a patch will made available for inclusion soon.

Changing the network default would significantly help out of the box performance, but as of now many users are probably aware that virtio is a good tuning option.

--

bugproxy (bugproxy) on 2016-06-30
tags: added: architecture-ppc64le bugnameltc-143151 severity-medium targetmilestone-inin16041
Changed in ubuntu:
assignee: nobody → Taco Screen team (taco-screen-team)
affects: ubuntu → libvirt (Ubuntu)
affects: libvirt (Ubuntu) → virtinst (Ubuntu)
Jon Grimm (jgrimm) on 2016-06-30
Changed in virtinst (Ubuntu):
assignee: Taco Screen team (taco-screen-team) → Ubuntu Server Team (ubuntu-server)
Nish Aravamudan (nacc) wrote :
Nish Aravamudan (nacc) wrote :

Hello, I have submitted test builds for 16.10 and 16.04 at https://launchpad.net/~nacc/+archive/ubuntu/lp1597610 with the backport of the two requested commits. Please test.

Changed in virtinst (Ubuntu):
status: New → In Progress

------- Comment From <email address hidden> 2016-07-21 17:10 EDT-------
Hi there Nish! ;)
I tested using your PPA on 16.04 and both virt-install and virt-manager defaulted to virtio disk type. Thanks, this will help us improve out of the box guest performance.

# dpkg -l | grep virtinst
ii virtinst 1:1.3.2-3ubuntu1.16.04.2~ppa all Programs to create and clone virtual machines
# dpkg -l | grep virt-man
ii virt-manager 1:1.3.2-3ubuntu1.16.04.2~ppa all desktop application for managing virtual machines

Thanks,
Jenifer

affects: virtinst (Ubuntu) → libvirt (Ubuntu)

Great Jenifer! If you could help adjust the description per: https://wiki.ubuntu.com/StableReleaseUpdates#SRU_Bug_Template, that will help with SRU acceptance.

Changed in libvirt (Ubuntu):
importance: Undecided → Medium
tags: added: patch
affects: libvirt (Ubuntu) → virt-manager (Ubuntu)
Jenifer Hopper (jhopper) on 2016-07-25
description: updated
summary: - virt-install default to virtio type - disk and network
+ virt-install default to virtio type - disk

------- Comment From <email address hidden> 2016-07-25 15:58 EDT-------
I edited the description in launchpad to include the following:

[Impact]

By default, currently Power guests are defined with bus=?scsi? disk type. Virtio disks will perform much better in KVM environments than the scsi (papr) model so the default should be changed to improve out-of-the-box guest performance.

[Test Case]

Create a guest using virt-install or virt-manager, check the default disk type with ?virsh dumpxml <guest>?.

Ex. virt-install command:
virt-install --force --name test --ram 4096 --vcpus 4 --location <location path> --noautoconsole --wait=-1 --noreboot --nographic --disk path=/var/lib/libvirt/images/test.raw,size=10

[Regression Potential]

Virtio tends to get more test cycles in general, so changing the default may actually reduce the risk of regressions with the papr scsi type.

[Other Info]

All guests that can run on Power support the virtio-blk disk type.

--
Also removing the network portion from the bug title, we will need to follow up on that later once changes make their way upstream.

Marc Deslauriers (mdeslaur) wrote :

Changes look good, ACK. I've uploaded the yakkety package to the archive, and have uploaded the xenial package for sponsoring by the SRU team. Thanks!

Changed in virt-manager (Ubuntu Xenial):
status: New → In Progress
Changed in virt-manager (Ubuntu):
status: In Progress → Fix Committed
description: updated
Changed in virt-manager (Ubuntu Xenial):
importance: Undecided → Medium
Chris J Arges (arges) on 2016-07-27
Changed in virt-manager (Ubuntu Xenial):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virt-manager - 1:1.3.2-3ubuntu3

---------------
virt-manager (1:1.3.2-3ubuntu3) yakkety; urgency=medium

  * debian/patches/use_virtio_for_pseries_disks.patch: virtinst: Use
    virtio bus type for disks on pSeries machines. Closes LP: #1597610.

 -- Nishanth Aravamudan <email address hidden> Wed, 20 Jul 2016 16:36:12 -0700

Changed in virt-manager (Ubuntu):
status: Fix Committed → Fix Released

Hello bugproxy, or anyone else affected,

Accepted virt-manager into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/virt-manager/1:1.3.2-3ubuntu1.16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed

------- Comment From <email address hidden> 2016-08-02 10:04 EDT-------
Thanks, I verified virtio disk type is chosen by default with the new package versions:

ii virt-manager 1:1.3.2-3ubuntu1.16.04.2
ii virtinst 1:1.3.2-3ubuntu1.16.04.2

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virt-manager - 1:1.3.2-3ubuntu1.16.04.2

---------------
virt-manager (1:1.3.2-3ubuntu1.16.04.2) xenial; urgency=medium

  * debian/patches/use_virtio_for_pseries_disks.patch: virtinst: Use
    virtio bus type for disks on pSeries machines. Closes LP: #1597610.

 -- Nishanth Aravamudan <email address hidden> Wed, 20 Jul 2016 16:39:21 -0700

Changed in virt-manager (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for virt-manager has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers